
Application: gvSIG desktop - gvSIG bugs #2297
Imposible crear un documento tipo gráfica
02/05/2014 09:53 PM - José Vicente Higón

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: José Badía
Category: Document chart
Target version: 2.1.0-2219-testing
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2218 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Al intentar crear un documento tipo gráfica aparece la siguiente excepción

java.lang.NullPointerException
    at javax.swing.ImageIcon.<init>(ImageIcon.java:204)
    at
org.gvsig.chart.swing.impl.editors.DefaultEditorGroupedChartPanel.getTypePanel(DefaultEditorGroupedChartPanel.java:286)
    at
org.gvsig.chart.swing.impl.editors.DefaultEditorGroupedChartPanel.createMainPanel(DefaultEditorGroupedChartPanel.java:132)
    at org.gvsig.chart.swing.impl.editors.DefaultEditorGroupedChartPanel.<init>(DefaultEditorGroupedChartPanel.java:97)
    at org.gvsig.chart.swing.impl.DefaultChartSwingManager.createEditorChartPanel(DefaultChartSwing
2)
    at org.gvsig.chart.swing.impl.editors.DefaultEditorGroupedChartPanel.<init>(DefaultEditorGroupedChartPanel.java:97)
    at org.gvsig.chart.swing.impl.DefaultChartSwingManager.createEditorChartPanel(DefaultChartSwingManager.java:223)
    at org.gvsig.chart.swing.impl.DefaultChartSwingManager.createEditorChartPanel(DefaultChartSwingManager.java:52)
    at
org.gvsig.app.project.documents.chart.gui.DefaultEditorGroupedChartIWindow.<init>(DefaultEditorGroupedChartIWindow.java:78)
    at org.gvsig.app.project.documents.chart.ChartDocumentManager.getPropertiesWindow(ChartDocumentManager.java:117)
    at org.gvsig.app.project.documents.chart.ChartDocumentManager.createDocumentByUser(ChartDocumentManager.java:199)
    at org.gvsig.app.project.documents.AbstractDocumentManager.createDocumentsByUser(AbstractDocumentManager.java:109)
    at org.gvsig.app.project.ProjectManager.createDocumentsByUser(ProjectManager.java:171)
    at org.gvsig.app.project.documents.gui.ProjectWindow.createDocumentsInProject(ProjectWindow.java:284)
    at org.gvsig.app.project.documents.gui.ProjectWindow.newProjectDocument(ProjectWindow.java:309)
    at org.gvsig.app.project.documents.gui.Projec
:78)
    at org.gvsig.app.project.documents.chart.ChartDocumentManager.getPropertiesWindow(ChartDocumentManager.java:117)
    at
org.gvsig.app.project.documents.chart.ChartDocumentManager.createDocumentByUser(ChartDocumentManager.java:199)
    at
org.gvsig.app.project.documents.AbstractDocumentManager.createDocumentsByUser(AbstractDocumentManager.java:109)
    at org.gvsig.app.project.ProjectManager.createDocumentsByUser(ProjectManager.java:171)
    at org.gvsig.app.project.documents.gui.ProjectWindow.createDocumentsInProject(ProjectWindow.java:284)
    at org.gvsig.app.project.documents.gui.ProjectWindow.newProjectDocument(ProjectWindow.java:309)
    at org.gvsig.app.project.documents.gui.ProjectWindow.access$400(ProjectWindow.java:85)
    at org.gvsig.app.project.documents.gui.ProjectWindow$5.actionPerformed(ProjectWindow.java:693)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
    at java.awt.Component.processMouseEvent(Component.java:6151)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:5916)
    at java.awt.Container.processEvent(Container.java:2105)
    at java.awt.Component.dispatchEventImpl(Component.java:4512)
    at java.awt.Container.dispatchEventImpl(Container.java:2163)
    at java.awt.Component.dispatchEvent(Component.java:4338)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
    at java.awt.Container.dispatchEventImpl(Container.java:2149)
    at java.awt.Window.dispatchEventImpl(Window.java:2485)
    at java.awt.Component.dispatchEvent(Component.java:4338)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:675)
    at java.awt.EventQueue.access$300(EventQueue.java:96)
    at java.awt.EventQueue$2.run(EventQueue.java:634)
    at java.awt.EventQueue$2.run(EventQueue.java:632)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:108)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:119)
    at java.awt.EventQueue$3.run(EventQueue.java:648)
    at java.awt.EventQueue$3.run(EventQueue.java:646)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:108)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:645)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

History
#1 - 02/05/2014 10:19 PM - Álvaro Anguix
- Assignee changed from José Badía to Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2219-testing

Reasigno a Joaquín ya que no creo que José pueda encargarse.

#2 - 02/05/2014 10:19 PM - Álvaro Anguix
- Priority changed from Normal to Urgent

#3 - 02/17/2014 02:53 PM - José Badía

Se ve que el fichero no se subió correctamente. Ha sido reemplezado y se ha subido una versión nueva.

Solucionado en la siguiente versión del build (13) que saldrá en el build 2219 de gvSIG 2.1

#4 - 02/17/2014 02:55 PM - Álvaro Anguix
- Status changed from New to Fixed
- Assignee changed from Joaquín  del Cerro Murciano to José Badía
#5 - 02/18/2014 10:54 PM - Álvaro Anguix
- Status changed from Fixed to Closed
